<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cybsp_8h" kind="file" language="C++">
    <compoundname>cybsp.h</compoundname>
    <includes local="yes">cy_result.h</includes>
    <includes local="yes" refid="cybsp__types_8h">cybsp_types.h</includes>
    <includedby local="yes" refid="cybsp_8c">cybsp.c</includedby>
    <incdepgraph>
      <node id="4">
        <label>cy_result.h</label>
      </node>
      <node id="3">
        <label>cybsp.h</label>
        <link refid="cybsp_8h" />
        <childnode refid="4" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__bsp__functions_1gab989986b285e127f78f61c29f6ccbbfa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cybsp_init</definition>
        <argsstring>(void)</argsstring>
        <name>cybsp_init</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Initialize all hardware on the board. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>CY_RSLT_SUCCESS if the board is sucessfully initialized, if there is a problem initializing any hardware it returns an error code specific to the hardware module that had a problem. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="42" bodyfile="bsp/boards/optional/psoc4/cybsp.c" bodystart="33" column="1" file="bsp/boards/optional/psoc4/cybsp.h" line="52" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Basic API for setting up boards containing a Cypress MCU. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cybsp_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal">cy_rslt_t<sp /><ref kindref="member" refid="group__group__bsp__functions_1gab989986b285e127f78f61c29f6ccbbfa">cybsp_init</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="53"><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal">}</highlight></codeline>
<codeline lineno="58"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="bsp/boards/optional/psoc4/cybsp.h" />
  </compounddef>
</doxygen>